Subject: Re: PSTN Interworking Draft

From: [email-masked] (Lawrence Conroy)
Date: Sat, 26 Jun 1999 01:58:41 +0100

At 9:44 am 25/6/99, Adam B. Roach wrote to the MMUSIC list:
>The following draft is now available from the Internet Drafts
>archive:
>"SIP PSTN Interworking Umbrella 'Require:' Header"
>     This document outlines a new value for the SIP "Require:" header
>     which denotes compliance with a number of mechanisms necessary to
>     interwork smoothly with existing telephony networks.
>

To which I reply:
I have a slight qualm with this document. The PINT Drafts have had two
methods called SUBSCRIBE and NOTIFY for a long while now (basically since
Henning and Jonathon originally suggested them to us when what is now IMPP
started).

I HOPE that the SUBSCRIBE/NOTIFY stuff of section 2.4 (with the note "This
document is not yet written.") isn't going to clash with the existing PINT
use, otherwise we'll break things (I trust that isn't the intent :). A
similar approach seems likely in any PIN work, and any revivification of
the SIP-for-Presence work. Any new document is not going to hit an empty
table.

All the best, Lawrence
-----------------------------------------------------------------------
| Lawrence Conroy,    | "These Opinions must be mine, 'cos if they    |
| Roke Manor Research |  were my Company's they'd charge you for them"|
|- [email-masked]  ---+- Tel: +44 1794 833666  Fax: +44 1794 833434 --|

---------
This message came from the IETF PINT Working Group Mailing List.

---

From: "Adam B. Roach" <[email-masked]>
Date: Mon, 28 Jun 1999 06:21:03 -0500 (CDT)

>the SIP-for-Presence work. Any new document is not going to hit an empty

It is not mere coincidence that the method names I use in
my document happen to be the same as those in two other drafts.

I am aware of the existence of both documents. I am also aware
of work currently underway to define semantics for subscribe and
notify which allow nodes to subscribe to certain call-related
events, including DTMF. It is this work I intend to reference
in future drafts of my document. Since no drafts have yet been
published on this work, I refer to it as unwritten. It would
perhaps be more accurate to describe it as "unpublished."

To avoid further confusion, reference to the other two other
drafts should be made, with a note that neither are sufficient
for the purposes of DTMF information transmission. The 01 version 
of my draft will reflect these changes.

Thanks for your feedback.

--
Adam Roach, Ericsson Inc. |  Ph: +1 972 583 7594 | 1010 E. Arapaho, MS L-04
[email-masked]   | Fax: +1 972 669 0154 | Richardson, TX 75081 USA

---------